"""Constants to support the applicaton"""

#: the maximum number of points allowed in a hand
MAX_POINTS = 26

POINTS_WEIGHTING = {
    0: 3639,
    1: 7884,
    2: 13561,
    3: 24624,
    4: 38454,
    5: 51862,
    6: 65541,
    7: 80281,
    8: 88922,
    9: 93562,
    10: 94051,
    11: 89447,
    12: 80269,
    13: 69143,
    14: 56933,
    15: 44237,
    16: 33109,
    17: 23617,
    18: 16051,
    19: 10362,
    20: 6435,
    21: 3779,
    22: 2100,
    23: 1119,
    24: 559,
    25: 264,
    26: 117,
    27: 49,
    28: 19,
    29: 7,
    30: 2,
    31: 1}


DEFAULT_POINTS_RANGE = [12, 14]

#: shapes suitable for single suited rebids
SINGLE_SUITED_SHAPES = [
    [6, 3, 3, 1], [6, 3, 2, 2], [7, 2, 2, 2],
    [7, 3, 3, 0], [7, 3, 2, 1], [5, 4, 3, 1],
    [5, 4, 2, 2], [5, 4, 4, 0], [5, 5, 2, 1],
    [5, 5, 3, 0], [6, 5, 1, 1], [6, 5, 2, 0],
    [6, 4, 2, 1], [6, 4, 3, 0], [7, 4, 1, 1],
    [7, 4, 2, 0], [7, 5, 1, 0], [6, 6, 1, 0],
    [8, 4, 1, 0], [7, 6, 0, 0], [7, 3, 2, 1],
    [6, 3, 2, 2], [6, 3, 3, 1], [7, 2, 2, 2],
    [7, 3, 3, 0], [8, 2, 2, 1], [8, 3, 1, 1],
    [8, 3, 2, 0], [9, 2, 1, 1], [9, 3, 1, 0],
    [9, 2, 2, 0]
]

#: shapes suitable for single suited rebids
TWO_SUITED_SHAPES = [
        [5, 4, 3, 1], [5, 4, 2, 2], [6, 4, 2, 1],
        [5, 5, 2, 1], [6, 4, 3, 0], [5, 4, 4, 0],
        [7, 4, 1, 1], [5, 5, 3, 0], [6, 5, 1, 1],
        [6, 5, 2, 0], [7, 4, 2, 0], [7, 5, 1, 0],
        [6, 6, 1, 0], [8, 4, 1, 0], [7, 6, 0, 0],
        [6, 5, 2, 0]
]

#: Weak two shapes
WEAK_TWO_SHAPES = [
    [6, 3, 3, 1], [6, 3, 2, 2], [7, 2, 2, 2],
    [7, 3, 3, 0], [7, 3, 2, 1], [6, 5, 1, 1],
    [6, 5, 2, 0], [6, 4, 2, 1], [6, 4, 3, 0],
    [7, 4, 1, 1], [7, 4, 2, 0], [7, 5, 1, 0],
    [6, 6, 1, 0]
]
